/*--------------------------------------------------------------------------+
$Id: BrickletHandler.java 23956 2018-04-11 14:15:25Z barner $
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.ui.handler;

import static org.fortiss.af3.platform.raspberry.ui.AF3PlatformRaspberryUIActivator.getImageDescriptor;

import org.eclipse.jface.resource.ImageDescriptor;
import org.fortiss.af3.platform.raspberry.model.brick.UIDUnit;
import org.fortiss.tooling.kernel.ui.extension.base.NamedCommentedModelElementHandlerBase;

/**
 * Handler for {@link UIDUnit}s.
 * 
 * @author hoelzl
 * @author $Author: barner $
 * @version $Rev: 23956 $
 * @ConQAT.Rating GREEN Hash: D80CF94CBBADB4627AAEDA1F34ABF0A5
 */
public class BrickletHandler extends NamedCommentedModelElementHandlerBase<UIDUnit> {
	/** {@inheritDoc} */
	@Override
	public ImageDescriptor getIconImageDescriptor() {
		return getImageDescriptor("icons/unknown.png");
	}
}
